org.apache.ignite.internal.processors.datastructures

## Class GridCacheAnnotationHelper<A extends Annotation>

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheAnnotationHelper<A>

    public class GridCacheAnnotationHelper<A extends Annotation>
    extends Object

Utility class for getting annotated values from classes. Contains local cache of annotated methods and fields by classes for best performance.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheAnnotationHelper(Class<A> annCls)` Constructor.
`GridCacheAnnotationHelper(Class<A> annCls, int capacity)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `annotatedValue(Object target)` Returns annotated value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheAnnotationHelper

    public GridCacheAnnotationHelper(Class<A> annCls)

Constructor.

Parameters:
  `annCls` - Annotation class.

#### GridCacheAnnotationHelper

    public GridCacheAnnotationHelper(Class<A> annCls,
                                     int capacity)

Constructor.

Parameters:
  `annCls` - Annotation class.
  `capacity` - Capacity of local caches.

### Method Detail

#### annotatedValue

    public Object annotatedValue(Object target)
                          throws IgniteCheckedException

Returns annotated value.

Parameters:
  `target` - Object to find a value in.
Returns:
  Value of annotated field or method.
Throws:
  `IgniteCheckedException` - If failed to find.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022